Skip to content
The API may change between versions while TTX-Zone is 0.x.

Change password

POST
/api/v1/auth/password
curl --request POST \
--url https://example.com/api/v1/auth/password \
--header 'Content-Type: application/json' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--data '{ "current_password": "example", "new_password": "example" }'

Change the caller’s password. Needs a recent authentication.

Media typeapplication/json
PasswordChangeRequest
object
current_password
Any of:
string
>= 1 characters <= 1024 characters
new_password
required
New Password
string
>= 8 characters <= 128 characters

Example generated

{
"current_password": "example",
"new_password": "example"
}

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}